> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/pba/analysis-issues.md).

# Troubleshooting possible analytics issues

Use these fixes for common analytics issues in Pentaho Business Analytics.

### In this topic

* [Multi-byte characters do not appear in PDFs exported from Analyzer](#multi-byte-characters-do-not-appear-in-pdfs-exported-from-analyzer)
* [Geo Maps partially rendering](#geo-maps-partially-rendering)
* [Cannot change Administrator password in PUC](#cannot-change-administrator-password-in-puc)

### Multi-byte characters do not appear in PDFs exported from Analyzer

If you use a multi-byte character set, PDF export might fail.\
You might see missing or corrupted characters.\
Analyzer uses Helvetica for PDF export by default.\
Helvetica does not support multi-byte character sets.

When you view a report in Analyzer, the browser controls the fonts.\
When you export to PDF, Analyzer might not have those fonts available.\
The PDF output might not match the browser output.

To fix this issue, set a default TrueType font for PDF rendering.

{% stepper %}
{% step %}

### Stop the server

Stop the Pentaho Server and the Pentaho User Console.
{% endstep %}

{% step %}

### Edit analyzer.properties

Edit `analyzer.properties`:

`/pentaho/server/pentaho-server/pentaho-solutions/system/analyzer/`
{% endstep %}

{% step %}

### Set the PDF font path

Uncomment `renderer.pdf.font.path`.

Example (Windows font collection):

```
renderer.pdf.font.path=C:/WINDOWS/Fonts/MSGOTHIC.TTC,1
```

{% endstep %}

{% step %}

### Update the font value

Replace the value with your font file or font collection.

* For font collections, add `,1` after the file name.
* For individual fonts (`.ttf`), do not add `,1`.

Example (Linux `.ttf` file):

```
renderer.pdf.font.path=/usr/share/fonts/truetype/freefont/FreeSans.ttf
```

{% endstep %}

{% step %}

### Restart the server

Save the file.\
Start the Pentaho Server.
{% endstep %}
{% endstepper %}

### Geo Maps partially rendering

If Geo Map visualizations in Analyzer do not display correctly, the server might not be giving them enough time to render.

Pentaho Server waits a fixed amount of time before capturing the map image.\
This delay allows map tiles to download and points to plot.\
The default wait time is 1200 milliseconds.

You can change the delay in `pentaho-solutions/system/pentaho-geo/settings.xml`:

```xml
<map-export-javascript-delay>1200</map-export-javascript-delay>
```

The following steps show how to increase the cache size used by Geo Maps:

1. Locate `pentaho-server/tomcat/webapps/pentaho/WEB-INF/classes` and open `ehcache.xml`.
2. Find the `cache` element and increase `maxElementsInMemory`. For example:

   ```xml
   <cache
       name="pentaho-geo-{CUSTOM_ROLE_TYPE}"
       maxElementsInMemory="1000"
       eternal="false"
       overflowToDisk="true"
       timeToIdleSeconds="0"
       timeToLiveSeconds="0"
       diskPersistent="false"
       diskExpiryThreadIntervalSeconds="120"
     />
   ```
3. Save `ehcache.xml`.
4. Restart the Pentaho Server.

### Cannot change Administrator password in PUC

When you add an administrator account in the Pentaho User Console (PUC), you have two administrator passwords:

* The default `admin` password.
* A password for the additional administrator account.

When you change the password for the additional administrator account, you might see an error.\
To fix this issue, enter the password for the currently logged-in administrator.\
Enter it in **Administrator password**.

![Change PUC Password dialog box](https://1610525749-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FdbSFXbJFiObHB299lSSa%2Fuploads%2Fgit-blob-6e55612ae27753b7f576583d0632c54ccc0a22e8%2FPUC_Troubleshooting_Change_Admin_Password%3DGUID-BA6FB76F-45C3-4A69-98A1-3D5E2C7C6141%3D1%3Den%3DLow.png?alt=media)

{% hint style="info" %}
See **Administer Pentaho Data Integration and Analytics** for additional troubleshooting information.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/pba/analysis-issues.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
